Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.teleal.cling.binding.xml.parser
Enum ELEMENT

    java.lang.Object
      java.lang.Enum<ELEMENT>
          org.teleal.cling.binding.xml.parser.ELEMENT

All Implemented Interfaces:
  Serializable, Comparable<ELEMENT>

    public enum ELEMENT

extends Enum<ELEMENT>

Author:
  Christian Bauer

Enum Constant Summary
`action`
`actionList`
`allowedValue`
`allowedValueList`
`allowedValueRange`
`argument`
`argumentList`
`controlURL`
`dataType`
`defaultValue`
`depth`
`device`
`deviceList`
`deviceType`
`direction`
`eventSubURL`
`friendlyName`
`height`
`icon`
`iconList`
`major`
`manufacturer`
`manufacturerURL`
`maximum`
`mimetype`
`minimum`
`minor`
`modelDescription`
`modelName`
`modelNumber`
`modelURL`
`name`
`presentationURL`
`relatedStateVariable`
`retval`
`root`
`scpd`
`SCPDURL`
`serialNumber`
`service`
`serviceId`
`serviceList`
`serviceStateTable`
`serviceType`
`specVersion`
`stateVariable`
`step`
`UDN`
`UPC`
`url`
`URLBase`
`width`

Method Summary
`boolean` | `equals(Node node)`
`static ELEMENT` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ELEMENT` | `valueOrNullOf(String s)`
`static ELEMENT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### root

    public static final ELEMENT root

### specVersion

    public static final ELEMENT specVersion

### major

    public static final ELEMENT major

### minor

    public static final ELEMENT minor

### URLBase

    public static final ELEMENT URLBase

### device

    public static final ELEMENT device

### UDN

    public static final ELEMENT UDN

### deviceType

    public static final ELEMENT deviceType

### friendlyName

    public static final ELEMENT friendlyName

### manufacturer

    public static final ELEMENT manufacturer

### manufacturerURL

    public static final ELEMENT manufacturerURL

### modelDescription

    public static final ELEMENT modelDescription

### modelName

    public static final ELEMENT modelName

### modelNumber

    public static final ELEMENT modelNumber

### modelURL

    public static final ELEMENT modelURL

### presentationURL

    public static final ELEMENT presentationURL

### UPC

    public static final ELEMENT UPC

### serialNumber

    public static final ELEMENT serialNumber

### iconList

    public static final ELEMENT iconList

### icon

    public static final ELEMENT icon

### width

    public static final ELEMENT width

### height

    public static final ELEMENT height

### depth

    public static final ELEMENT depth

### url

    public static final ELEMENT url

### mimetype

    public static final ELEMENT mimetype

### serviceList

    public static final ELEMENT serviceList

### service

    public static final ELEMENT service

### serviceType

    public static final ELEMENT serviceType

### serviceId

    public static final ELEMENT serviceId

### SCPDURL

    public static final ELEMENT SCPDURL

### controlURL

    public static final ELEMENT controlURL

### eventSubURL

    public static final ELEMENT eventSubURL

### deviceList

    public static final ELEMENT deviceList

### scpd

    public static final ELEMENT scpd

### actionList

    public static final ELEMENT actionList

### action

    public static final ELEMENT action

### name

    public static final ELEMENT name

### argumentList

    public static final ELEMENT argumentList

### argument

    public static final ELEMENT argument

### direction

    public static final ELEMENT direction

### relatedStateVariable

    public static final ELEMENT relatedStateVariable

### retval

    public static final ELEMENT retval

### serviceStateTable

    public static final ELEMENT serviceStateTable

### stateVariable

    public static final ELEMENT stateVariable

### dataType

    public static final ELEMENT dataType

### defaultValue

    public static final ELEMENT defaultValue

### allowedValueList

    public static final ELEMENT allowedValueList

### allowedValue

    public static final ELEMENT allowedValue

### allowedValueRange

    public static final ELEMENT allowedValueRange

### minimum

    public static final ELEMENT minimum

### maximum

    public static final ELEMENT maximum

### step

    public static final ELEMENT step

Method Detail

### values

    public static ELEMENT[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ELEMENT c : ELEMENT.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ELEMENT valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOrNullOf

    public static ELEMENT valueOrNullOf(String s)

### equals

    public boolean equals(Node node)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.